Subject: Re: [net-next PATCH 2/2] bridge netlink dump interface at par with brctl Actually better than brctl showmacs because we can filter by bridge port in the kernel

From: Jamal Hadi Salim <[email-masked]>
Date: Mon, 02 Jun 2014 18:17:50 -0400

On 06/02/14 11:34, Vlad Yasevich wrote:

>
> I think that after this code, if you set a bridge mac address thus
> causing an fdb like:
>    <mac> dev br0 vlan 0 master permanent  (old notation)
>
> you will not show it if you set the br_idx with
>    # bridge fdb show br br0
>
>
> I looks like the only way to show such fdb is not set any filters at all
> since if you set a port filter, you will not see it either as it will be
> filtered out in bridge code.
>

I thought the comment which says "selfie" would take care of that; i.e
the default dump would do it.
If you give me an example of setting such an entry I will try it out
and see if it works.

cheers,
jamal